オートメーション(Automations)
フォーム回答時に自動実行するアクション(メール通知・Webhook 等)を管理します。
|
エンドポイント
| GET | /api/v1/forms/{id}/automations | オートメーション一覧を取得 |
| POST | /api/v1/forms/{id}/automations | オートメーションを作成 |
| PATCH | /api/v1/forms/{id}/automations/{aid} | オートメーションを更新 |
| DELETE | /api/v1/forms/{id}/automations/{aid} | オートメーションを削除 |
GET
/api/v1/forms/{id}/automationsオートメーション一覧を取得
認証が必要です— セッション Cookie または Bearer トークンを含めてください
パスパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
id | string | 任意 | フォーム ID |
コード例
curl "https://api.blueai.jp/api/v1/forms/form_123e4567e89b12d3a456426614174000/automations" \
-H "Cookie: better-auth.session_token=<token>"POST
/api/v1/forms/{id}/automationsオートメーションを作成
認証が必要です— セッション Cookie または Bearer トークンを含めてください
パスパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
id | string | 任意 | フォーム ID |
コード例
curl -X POST "https://api.blueai.jp/api/v1/forms/form_123e4567e89b12d3a456426614174000/automations" \
-H "Cookie: better-auth.session_token=<token>"PATCH
/api/v1/forms/{id}/automations/{aid}オートメーションを更新
認証が必要です— セッション Cookie または Bearer トークンを含めてください
パスパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
id | string | 任意 | フォーム ID |
aid | string | 任意 | オートメーション ID |
コード例
curl -X PATCH "https://api.blueai.jp/api/v1/forms/form_123e4567e89b12d3a456426614174000/automations/aid_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"DELETE
/api/v1/forms/{id}/automations/{aid}オートメーションを削除
認証が必要です— セッション Cookie または Bearer トークンを含めてください
パスパラメータ
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
id | string | 任意 | フォーム ID |
aid | string | 任意 | オートメーション ID |
コード例
curl -X DELETE "https://api.blueai.jp/api/v1/forms/form_123e4567e89b12d3a456426614174000/automations/aid_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"